<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionPermissionsManager Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/dc4/a04614.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionPermissionsManager Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8659bdd3118749afa04c2608b1166749"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc4/a04614.html#a8659bdd3118749afa04c2608b1166749">ExpansionPermissionsManager</a> ()</td></tr>
<tr class="separator:a8659bdd3118749afa04c2608b1166749"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34b17f90ca5eaffe57a7c0dc147b628b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc4/a04614.html#a34b17f90ca5eaffe57a7c0dc147b628b">~ExpansionPermissionsManager</a> ()</td></tr>
<tr class="separator:a34b17f90ca5eaffe57a7c0dc147b628b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89531a2412f7415b2545783248c38f2d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc4/a04614.html#a89531a2412f7415b2545783248c38f2d">RegisterPermission</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> permission)</td></tr>
<tr class="separator:a89531a2412f7415b2545783248c38f2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96b4f975e64a77263bcda330e2007c8b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc4/a04614.html#a96b4f975e64a77263bcda330e2007c8b">HasPermission</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> permission)</td></tr>
<tr class="separator:a96b4f975e64a77263bcda330e2007c8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c8459ead90612de513114fbd71d34b7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc4/a04614.html#a2c8459ead90612de513114fbd71d34b7">HasPermission</a> (<a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> permission, PlayerIdentity ihp)</td></tr>
<tr class="separator:a2c8459ead90612de513114fbd71d34b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e7150e4b691e455c2e2908408d849e7"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc4/a04614.html#a6e7150e4b691e455c2e2908408d849e7">IsAdminToolsToggledOn</a> ()</td></tr>
<tr class="separator:a6e7150e4b691e455c2e2908408d849e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a455e9b4f746462d7759131285411587b"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/dc4/a04614.html#a455e9b4f746462d7759131285411587b">m_AdminToolsToggledOn</a></td></tr>
<tr class="separator:a455e9b4f746462d7759131285411587b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../da/d6b/a02438.html">ExpansionKillfeedModule.c</a></p>
<p >DayZ Expansion Mod www.dayzexpansion.com © 2021 DayZ Expansion Mod Team</p>
<p >This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. To view a copy of this license, visit <a href="http://creativecommons.org/licenses/by-nc-nd/4.0/">http://creativecommons.org/licenses/by-nc-nd/4.0/</a>. </p>

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00014">14</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8659bdd3118749afa04c2608b1166749" name="a8659bdd3118749afa04c2608b1166749"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8659bdd3118749afa04c2608b1166749">&#9670;&#160;</a></span>ExpansionPermissionsManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPermissionsManager::ExpansionPermissionsManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00018">18</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>

</div>
</div>
<a id="a34b17f90ca5eaffe57a7c0dc147b628b" name="a34b17f90ca5eaffe57a7c0dc147b628b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a34b17f90ca5eaffe57a7c0dc147b628b">&#9670;&#160;</a></span>~ExpansionPermissionsManager()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPermissionsManager::~ExpansionPermissionsManager </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00022">22</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a96b4f975e64a77263bcda330e2007c8b" name="a96b4f975e64a77263bcda330e2007c8b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96b4f975e64a77263bcda330e2007c8b">&#9670;&#160;</a></span>HasPermission() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionPermissionsManager::HasPermission </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>permission</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00030">30</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>

</div>
</div>
<a id="a2c8459ead90612de513114fbd71d34b7" name="a2c8459ead90612de513114fbd71d34b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2c8459ead90612de513114fbd71d34b7">&#9670;&#160;</a></span>HasPermission() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionPermissionsManager::HasPermission </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>permission</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>ihp</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00042">42</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>

</div>
</div>
<a id="a6e7150e4b691e455c2e2908408d849e7" name="a6e7150e4b691e455c2e2908408d849e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e7150e4b691e455c2e2908408d849e7">&#9670;&#160;</a></span>IsAdminToolsToggledOn()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionPermissionsManager::IsAdminToolsToggledOn </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00067">67</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>

</div>
</div>
<a id="a89531a2412f7415b2545783248c38f2d" name="a89531a2412f7415b2545783248c38f2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a89531a2412f7415b2545783248c38f2d">&#9670;&#160;</a></span>RegisterPermission()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPermissionsManager::RegisterPermission </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d9b/a01889.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td>
          <td class="paramname"><em>permission</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00026">26</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a455e9b4f746462d7759131285411587b" name="a455e9b4f746462d7759131285411587b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a455e9b4f746462d7759131285411587b">&#9670;&#160;</a></span>m_AdminToolsToggledOn</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionPermissionsManager::m_AdminToolsToggledOn</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d0/d2b/a01010_source.html#l00016">16</a> of file <a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/classes/permissions/<a class="el" href="../../d0/d2b/a01010_source.html">permissionsmanager.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d2/dc4/a04614.html">ExpansionPermissionsManager</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
